%define name python-twisted-core
%define version 12.2.0
%define rel 2
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        Event-based framework for internet applications
Name:           %{name}
Version:        %{version}
Release:        %mkrel %rel
Source0:        http://twistedmatrix.com/Releases/Core/%{mainver}/TwistedCore-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/core/
Requires:       pycrypto
Requires:       python-OpenSSL python-zope-interface
BuildRequires:	python-devel python-zope-interface
Conflicts:      python-twisted < 2.0.0

Patch1:		TwistedCore-10.1.0-sagemath.patch

%description
Twisted is a framework, written in Python, for writing networked
applications. It includes implementations of a number of commonly used
network services such as a web server, an IRC chat server, a mail
server, a relational database interface and an object broker. Developers
can build applications using all of these services as well as custom
services that they write themselves. Twisted also includes a user
authentication system that controls access to services and provides
services with user context information to implement their own security
models.

%package  doc
Group:          Development/Python
Summary:        %{name} documentation
BuildArch:      noarch

%description  doc
Documentation files for %name.
This consist mainly of the twist api for the core component.

%prep
%setup -q -n TwistedCore-%{version}
#patch1	-p1

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root=%{buildroot}

# no need for c source code
find %{buildroot}/%{py_platsitedir}/twisted -type f -name '*.c' | xargs rm -f

%__install -d %{buildroot}%{_mandir}/man1
%__install -m 644 doc/man/*.1 %{buildroot}%{_mandir}/man1

%clean
%__rm -rf %{buildroot}

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc CREDITS LICENSE NEWS README
%dir %py_platsitedir/twisted
%py_platsitedir/twisted/*
%py_platsitedir/*.egg-info
%_mandir/man1/*

%files doc
# ChangeLog.Old is here as this is big
%doc doc/ ChangeLog.Old


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296364
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171278
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109918
- new version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55744
- update to 10.2.0
- drop python-2.6 patch, not needed
- disable the sagemath path, needs rediffing (maybe when pcpa rediff it in mdv)
- make the doc sub-package noarch

* Thu Jan 20 2011 blino <blino> 10.1.0-4.mga1
+ Revision: 25564
- rebuild for broken rpm

* Thu Jan 20 2011 blino <blino> 10.1.0-3.mga1
+ Revision: 25549
- rebuild because of broken rpm

* Wed Jan 19 2011 erwan <erwan> 10.1.0-2.mga1
+ Revision: 24910
- imported package python-twisted-core

